# CompressionMode enum

TIFF compression type.

Inheritance
  - Object
  - Enum
  - CompressionMode
Available extensions
  - EnumName

## Values

NONE → const CompressionMode

  Dump mode.

CCITTRLE → const CompressionMode

  CCITT modified Huffman RLE. For binarized images only.

CCITT_T4 → const CompressionMode

  CCITT T.4 (CCITTFAX3, CCITT Group 3 fax encoding, TIFF 6 name). For binarized images only.

CCITT_T6 → const CompressionMode

  CCITT T.6 (CCITTFAX4, CCITT Group 4 fax encoding, TIFF 6 name). For binarized images only.

LZW → const CompressionMode

  Lempel-Ziv and Welch.

JPEG → const CompressionMode

  %JPEG DCT compression.

CCITTRLEW → const CompressionMode

  #1 w/ word alignment. For binarized images only.

PACKBITS → const CompressionMode

  Macintosh RLE.

DEFLATE → const CompressionMode

  Deflate compression. Legacy Deflate codec identifier.

ADOBE_DEFLATE → const CompressionMode

  Deflate compression, as recognized by Adobe. More widely supported.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CompressionMode>
  A constant List of the values in this enum, in order of their declaration.